package com.shuoeasy.springmvc;

import org.springframework.core.convert.converter.Converter;
import org.springframework.stereotype.Component;

/**
 * 自定义转换的实现类
 *
 */
@Component
public class UserConvert implements Converter<String, User> {

	@Override
	public User convert(String source) {
		System.out.println("自定义转换：" + source);
		// 输入字符串定义： 张三|26
		if(source==null || "".equals(source)){
			return null;
		}
		String [] arr = source.split("\\|");
		if(arr==null || arr.length!=2){
			return null;
		}
		User user = new User();
		user.setUname(arr[0]);
		user.setAge(Integer.parseInt(arr[1]));
		return user;
	}

}
